#!/bin/sh

# (C) 2009 Sokolov Alexey <sokolov@truebsd.org>

if [ `whoami` != "root" ]; then
    echo "This utility should only be run as root"
    echo "Please use 'sudo $0' instead"
    sleep 3
    exit
fi

if [ ! -d psiplus ]; then
    echo "Directory 'psiplus' not found!"
    exit
fi

if [ ! -d /usr/opt ]; then
    echo "Directory '/usr/opt' not found!"
    echo "Create? (y/n)"
    read key
    if [ ${key} = "y" ]; then
	mkdir /usr/opt
    else
	echo "Exiting..."
	exit
    fi
fi

echo "Copy files to '/usr/opt/psiplus'? (y/n)"
read key
if [ ${key} = "y" ]; then
    cp -vr psiplus /usr/opt/
else
    echo "Exiting..."
    exit
fi

echo
echo "---"
echo "Create symbolic links '/usr/local/bin/psiplus'? (y/n)"
read key
if [ ${key} = "y" ]; then
    if [ -f /usr/local/bin/psiplus ]; then
	rm /usr/local/bin/psiplus
    fi
    ln -s /usr/opt/psiplus/bin/psi /usr/local/bin/psiplus 
else
    echo 
    echo "Finish!"
    echo "Run: /usr/opt/psiplus/bin/psi"
    exit
fi
echo 
echo "Finish!"
echo "Run: psiplus"
